Page MenuHomePhabricator

Release ZppixBot 7
Closed, ResolvedPublic1 Estimated Story Points

Description

ZppixBot v7 will be released on June 18th 2020

Details

Due Date
Jun 18 2020, 8:30 AM

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 22 2020, 12:42 PM
RhinosF1 changed the task status from Open to Stalled.May 22 2020, 12:43 PM
RhinosF1 triaged this task as Medium priority.
RhinosF1 added a project: ZppixBot.

Numerous Blockers

RhinosF1 updated the task description. (Show Details)May 22 2020, 12:54 PM
RhinosF1 set the point value for this task to 1.Jun 6 2020, 11:32 AM
Restricted Application added a subscriber: MacFan4000. · View Herald TranscriptJun 6 2020, 11:32 AM
Restricted Application added a subscriber: Examknow. · View Herald TranscriptJun 15 2020, 6:55 PM

@Zppix: Are we okay to release as soon as all blockers are resolved?

RhinosF1 set Due Date to Jun 30 2020, 11:00 PM.Jun 16 2020, 2:38 PM
RhinosF1 added a comment.EditedJun 17 2020, 4:27 PM

Release planned for 10am UTC tommorow.

Branch cut: https://github.com/Pix1234/ZppixBot-Source/tree/version-7

RhinosF1 changed the task status from Stalled to Open.Jun 17 2020, 5:03 PM
RhinosF1 added a comment.EditedJun 17 2020, 5:13 PM
  • release notes
  • gerrit doc updates
  • Pull request
  • draft release in github
MacFan4000 updated the task description. (Show Details)Jun 17 2020, 5:48 PM
MacFan4000 changed Due Date from Jun 30 2020, 11:00 PM to Jun 18 2020, 10:00 AM.Jun 17 2020, 5:51 PM
RhinosF1 raised the priority of this task from Medium to High.Jun 17 2020, 5:52 PM
MacFan4000 updated the task description. (Show Details)Jun 17 2020, 5:52 PM
MacFan4000 awarded a token.
MacFan4000 updated the task description. (Show Details)Jun 17 2020, 5:56 PM
RhinosF1 updated the task description. (Show Details)Jun 18 2020, 8:22 AM

I've created the draft release and bumped the dev branch to version 7.

RhinosF1 changed Due Date from Jun 18 2020, 10:00 AM to Jun 18 2020, 8:30 AM.Jun 18 2020, 8:24 AM
RhinosF1 closed this task as Resolved.Jun 18 2020, 8:26 AM
RhinosF1 claimed this task.

Tagged version 7.

264 commits

Restricted Application added a project: User-RhinosF1. · View Herald TranscriptJun 18 2020, 8:26 AM
RhinosF1 updated the task description. (Show Details)Jun 18 2020, 8:26 AM

Mentioned in SAL (#wikimedia-cloud) [2020-06-18T08:29:46Z] <wm-bot> <rhinosf1> Restart - Release Version 7 (cf T253381)

Maintenance_bot moved this task from Radar to Done on the User-RhinosF1 board.Jun 18 2020, 9:15 AM